API DocumentationOperator addresses

Edit an existing operator address

PUT
/api/manufacturer/v1/operator/address/{addressId}

Creates a new address with the updated details, soft-deletes the old address, and transfers billing and shipping defaults if applicable

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

addressId*integer

ID of the address to edit

Formatint64

Request Body

application/json
  1. body
street1*string
street2*string
city*string
state*string
country*string
jurisdictionIsoCode?string
zip*string
name*string
company*string
phone*string
email*string
residential*boolean

Response Body

Address edited successfully

application/json
  1. response
addressId*integer
Formatint64
isBillingAddress*boolean
isShippingAddress*boolean
street1*string
street2*string
city*string
state?string
country*string
countryAlpha2Code*string
countryAlpha3Code*string
jurisdictionIsoCode?string
zip*string
name*string
company*string
phone*string
email*string
residential*boolean
addressType*string
isDeleted*boolean
taxId?string
curl -X PUT 'https://m-api.eu.phas.io/api/manufacturer/v1/operator/address/1' \  -H 'Content-Type: application/json' \  -d '{  "street1": "string",  "street2": "string",  "city": "string",  "state": "string",  "country": "string",  "zip": "string",  "name": "string",  "company": "string",  "phone": "string",  "email": "string",  "residential": true}'
{  "addressId": 0,  "isBillingAddress": true,  "isShippingAddress": true,  "street1": "string",  "street2": "string",  "city": "string",  "state": "string",  "country": "string",  "countryAlpha2Code": "string",  "countryAlpha3Code": "string",  "jurisdictionIsoCode": "string",  "zip": "string",  "name": "string",  "company": "string",  "phone": "string",  "email": "string",  "residential": true,  "addressType": "string",  "isDeleted": true,  "taxId": "string"}